package com.tuoheng.miniprogram.enums;

/**
 * @Author ChengWang
 * @Date 2022/12/12
 */
public enum InspectionFileEnum {

    INSPECTION_FILE_ID_IS_NULL(1210400, "问题id为空"),
    TENANT_ID_IS_NULL(1210401, "租户id为空"),
    USER_ID_IS_NULL(1210402, "用户id为空"),
    USER_NAME_IS_NULL(1210403, "登录用户名为空"),
    WORK_ORDER_ID_NULL(1210404, "登录用户名为空"),
    USER_IS_NOT_EXIST(1210405, "用户为空"),
    DEPT_ID_IS_NULL(1210406, "部门id为空"),
    DATA_IS_NULL(1210407, "数据为空"),
    INSPECTION_ID_NULL(1210408, "任务id为空");


    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    InspectionFileEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
